Name:           yubikey-piv-manager
Version:        1.4.2
Release:        3%{?dist}
Summary:        Tool for configuring your PIV-enabled YubiKey

# BSD (2 clause)
#yubikey-piv-manager-1.4.2/pivman/yubicommon/__init__.py
#yubikey-piv-manager-1.4.2/pivman/yubicommon/ctypes/__init__.py
#yubikey-piv-manager-1.4.2/pivman/yubicommon/qt/__init__.py
#yubikey-piv-manager-1.4.2/pivman/yubicommon/setup/__init__.py
#yubikey-piv-manager-1.4.2/pivman/yubicommon/setup/exe.py
#yubikey-piv-manager-1.4.2/pivman/yubicommon/setup/qt.py
# BSD (3 clause)
#yubikey-piv-manager-1.4.2/pivman/yubicommon/ctypes/libloader.py
# Rest is GPVv3+
# See https://github.com/Yubico/yubikey-piv-manager/issues/35 for request for clarification
License:        GPLv3+ and BSD
URL:            https://developers.yubico.com/%{name}/
Source0:        https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       python%{python3_pkgversion}-%{name}

%description
Tool for configuring your PIV-enabled YubiKey.


%package -n python%{python3_pkgversion}-%{name}
Summary:        Python library for configuring a YubiKey
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pyside
Requires:       python%{python3_pkgversion}-pyside
Requires:       python%{python3_pkgversion}-setuptools
Requires:       yubico-piv-tool

%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python%{python3_pkgversion}-%{name}
Python library for configuring a PIV-enabled YubiKey.


%prep
%autosetup

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 man/pivman.1 %{buildroot}%{_mandir}/man1/pivman.1

%check
%{__python3} setup.py test

%files
%license COPYING
%doc NEWS
%{_bindir}/pivman
%{_mandir}/man1/pivman.1*

%files -n python%{python3_pkgversion}-%{name}
%license COPYING
%doc doc/
%{python3_sitelib}/*

%changelog
* Thu Mar 1 2018 Orion Poplawski <orion@nwra.com> - 1.4.2-3
- Add requirs on setuptools for pkg_resources

* Tue Feb 27 2018 Orion Poplawski <orion@nwra.com> - 1.4.2-2
- Fix license field
- Install man page and documentation
- Add requires yubico-piv-tool

* Thu Feb 8 2018 Orion Poplawski <orion@nwra.com> - 1.4.2-1
- Initial package
